## org.eclipse.datatools.enablement.sybase.deltaddl
Interface ISybaseDeltaDdlGenerator

All Superinterfaces:
  org.eclipse.datatools.connectivity.sqm.internal.core.rte.DeltaDDLGenerator

All Known Implementing Classes:
  SybaseASEDeltaDdlGeneration, SybaseDeltaDdlGeneration

    public interface ISybaseDeltaDdlGenerator

extends org.eclipse.datatools.connectivity.sqm.internal.core.rte.DeltaDDLGenerator

Method Summary
`java.lang.String[]` `generateDeltaDDL(org.eclipse.emf.ecore.EObject rootObject, org.eclipse.emf.ecore.change.ChangeDescription changeDescription, EngineeringOption[] options, org.eclipse.core.runtime.IProgressMonitor monitor)` set customized options to control the delta ddl generated scripted style

Methods inherited from interface org.eclipse.datatools.connectivity.sqm.internal.core.rte.DeltaDDLGenerator
`generateDeltaDDL, getOptionCategories, getOptions`

Method Detail

### generateDeltaDDL

    java.lang.String[] generateDeltaDDL(org.eclipse.emf.ecore.EObject rootObject,
                                        org.eclipse.emf.ecore.change.ChangeDescription changeDescription,
                                        EngineeringOption[] options,
                                        org.eclipse.core.runtime.IProgressMonitor monitor)

  set customized options to control the delta ddl generated scripted style

  Parameters:
    `rootObject` - TODO
    `changeDescription` -
    `options` -
    `monitor` -
  Returns: